Processor (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.compiler.Processor interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.compiler
Interface Processor

All Known Subinterfaces:
  Compiler, Linker

All Known Implementing Classes:
  AbstractArLibrarian, AbstractCompiler, AbstractLdLinker, AbstractLinker, AbstractProcessor, aCCCompiler, aCCLinker, ADSCCompiler, ADSLibrarian, ADSLinker, BorlandCCompiler, BorlandLibrarian, BorlandLinker, BorlandResourceCompiler, C89CCompiler, C89Linker, ClxxCCompiler, ClxxLibrarian, ClxxLinker, CommandLineCCompiler, CommandLineCompiler, CommandLineFortranCompiler, CommandLineLinker, CompaqVisualFortranCompiler, CompaqVisualFortranLibrarian, CompaqVisualFortranLinker, DevStudio2005CCompiler, DevStudioCCompiler, DevStudioCompatibleCCompiler, DevStudioCompatibleLibrarian, DevStudioCompatibleLinker, DevStudioLibrarian, DevStudioLinker, DevStudioMIDLCompiler, DevStudioResourceCompiler, ForteCCCompiler, ForteCCLinker, GccCCompiler, GccCCompiler, GccCCompiler, GccCompatibleCCompiler, GccLibrarian, GccLibrarian, GccLibrarian, GccLinker, GccLinker, GccLinker, GppLinker, GppLinker, GppLinker, IccCompiler, IccLinker, IntelLinux32CCompiler, IntelLinux32Linker, IntelLinux64CCompiler, IntelLinux64Linker, IntelWin32CCompiler, IntelWin32Librarian, IntelWin32Linker, IntelWin64CCompiler, LdLinker, LdLinker, LdLinker, MetaObjectCompiler, OpenWatcomCCompiler, OpenWatcomCLinker, OpenWatcomCompiler, OpenWatcomFortranCompiler, OpenWatcomFortranLinker, OpenWatcomLibrarian, OpenWatcomLinker, OS390CCompiler, OS390Linker, PrecompilingCommandLineCCompiler, PrecompilingCommandLineCompiler, UserInterfaceCompiler, VisualAgeCCompiler, VisualAgeLinker, WindresResourceCompiler, XpidlCompiler

    public interface Processor

A processor. Base interface for Compiler and Linker

Author:
  Curt Arnold

Method Summary
`int` | `bid(java.lang.String inputFile)` Returns a bid indicating the desire of this compiler to process the file.
`Processor` | `changeEnvironment(boolean newEnvironment, org.apache.tools.ant.types.Environment env)`
`ProcessorConfiguration` | `createConfiguration(CCTask task, LinkType linkType, ProcessorDef[] defaultProviders, ProcessorDef specificConfig, TargetDef targetPlatform, VersionInfo versionInfo)` Returns the compiler configuration for or element.
`java.lang.String` | `getIdentifier()` Retrieve an identifier that identifies the specific version of the compiler.
`Linker` | `getLinker(LinkType type)` Gets the linker that is associated with this processors
`java.lang.String[]` | `getOutputFileNames(java.lang.String inputFile, VersionInfo versionInfo)` Output file name (no path components) corresponding to source file

Method Detail

### bid

    int bid(java.lang.String inputFile)

  Returns a bid indicating the desire of this compiler to process the file.

  Parameters:
    `inputFile` - input file
  Returns:
    0 = no interest, 100 = high interest

### changeEnvironment

    Processor changeEnvironment(boolean newEnvironment,
                                org.apache.tools.ant.types.Environment env)

### createConfiguration

    ProcessorConfiguration createConfiguration(CCTask task,
                                               LinkType linkType,
                                               ProcessorDef[] defaultProviders,
                                               ProcessorDef specificConfig,
                                               TargetDef targetPlatform,
                                               VersionInfo versionInfo)

  Returns the compiler configuration for or element.

  Parameters:
    `defaultProviders` - When specificConfig corresponds to a or linker element, defaultProvider will be a zero to two element array. If there is an extends attribute, the first element will be the referenced ProcessorDef, unless inherit = false, the last element will be the containing element
    `specificConfig` - A or element.
  Returns:
    resulting configuration

### getIdentifier

    java.lang.String getIdentifier()

  Retrieve an identifier that identifies the specific version of the compiler. Compilers with the same identifier should produce the same output files for the same input files and command line switches.

### getLinker

    Linker getLinker(LinkType type)

  Gets the linker that is associated with this processors

### getOutputFileNames

    java.lang.String[] getOutputFileNames(java.lang.String inputFile,
                                          VersionInfo versionInfo)

  Output file name (no path components) corresponding to source file

  Parameters:
    `inputFile` - input file
  Returns:
    output file name or null if no output file or name not determined by input file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.